# -*- coding: utf-8 -*-
# Copyright 2017 OpenSynergy Indonesia
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl).

from openerp import models, fields


class PosFloor(models.Model):
    _name = "pos.floor"
    _description = "Restaurant Floor"

    name = fields.Char(
        string="Nombre del grupo",
        required=True,
        )
        
    type = fields.Selection([
        ('table','Mesa'),
        ('delivery','Delivery')],
        string="Tipo",
        required=True
    )
    pos_config_id = fields.Many2many(
        "pos.config",
        "floor_table_rel",
        "pos_config_id",
        "pos_id",
        "PoS",
        required=True,
        )
    table_ids = fields.One2many(
        string="Mesas/Delivery",
        comodel_name="pos.table",
        inverse_name="floor_id",
        )
